Summary:	Unicode Emoji Data Files
Summary(pl.UTF-8):	Pliki danych Unicode Emoji
Name:		unicode-emoji
Version:	13.0
Release:	1
License:	Unicode
Group:		Libraries
Source0:	http://www.unicode.org/copyright.html
# Source0-md5:	8f660ece069ca15904aaf37df72f8094
Source1:	http://www.unicode.org/Public/emoji/%{version}/ReadMe.txt
# Source1-md5:	110349fe791c261240a0b8f7413f29c5
Source2:	http://www.unicode.org/Public/emoji/%{version}/emoji-sequences.txt
# Source2-md5:	2a1b6f0c177d4ddf4181181de2d6f53e
Source3:	http://www.unicode.org/Public/emoji/%{version}/emoji-test.txt
# Source3-md5:	8982159c71af1bc72b5ac508945b3f0c
Source4:	http://www.unicode.org/Public/emoji/%{version}/emoji-zwj-sequences.txt
# Source4-md5:	f3984d10d7fffdb326b9fac8d3fd61df
URL:		http://www.unicode.org/emoji/
Requires:	unicode-ucd >= %{version}
Requires:	unicode-ucd < 13.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode Emoji Data Files are the machine-readable emoji data files
associated with <http://www.unicode.org/reports/tr51/index.html>.

%description -l pl.UTF-8
Pliki danych Unicode Emoji to czytelne dla maszyny pliki danych
piktogramów (emoji) powiązane z
<http://www.unicode.org/reports/tr51/index.html>.

%prep
%setup -q -c -T

cp -p %{SOURCE0} %{SOURCE1} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/unicode/emoji

cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/unicode/emoji
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/unicode/emoji
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/unicode/emoji

ln -s ../ucd/emoji/emoji-data.txt $RPM_BUILD_ROOT%{_datadir}/unicode/emoji
ln -s ../ucd/emoji/emoji-variation-sequences.txt $RPM_BUILD_ROOT%{_datadir}/unicode/emoji

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc copyright.html ReadMe.txt
%dir %{_datadir}/unicode
%dir %{_datadir}/unicode/emoji
%{_datadir}/unicode/emoji/emoji-*.txt
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unicode-emoji.git;a=log;h=master

* Thu Apr 23 2020 Jakub Bogusz <qboosh@pld-linux.org> bbf6d6a
- updated to 13.0; emoji-data.txt and emoji-variation-sequences.txt are in ucd now

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> c7a10a5
- updated to 12.1

* Tue May 21 2019 Jakub Bogusz <qboosh@pld-linux.org> de0c363
- tabify

* Tue May 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 1232c20
- new, based on Fedora package

